/*
 * MyJava Coffee Outlet ha deciso di fare degli sconti a 
 * chi compra in grandi volumi. 
 * Lo sconto  basato sulla seguente tabella:
 * 
 * Volume dell'ordine	Sconto
 * >= 25  confezioni	 5%
 * >= 50  confezioni	10%
 * >= 100 confezioni	15%
 * >= 150 confezioni	20%
 * >= 200 confezioni	25%
 * >= 300 confezioni	30%
 * 
 * Ogni confezione di caff costa  5.50. 
 * Scrivere un'applicazione che accetti il numero di 
 * confezioni ordinate e scriva il costo totale dell'ordine 
 * secondo il seguente stile:
 * 
 * Le confezioni ordinate sono: 173 -  951.50
 * Lo sconto  pari al:	        20% -  190.30
 * Il prezzo scontato : 		 761.20
 * 
 */

import java.util.*;
import java.text.*;

public class TesterOrdine {
	
	public static void main(String[] args){
		
		// acquisizione dell'input
		Scanner tastiera = new Scanner(System.in);
		System.out.print("Inserire il numero di confezioni di caff da ordinare: ");
		int numConfezioni = tastiera.nextInt();
		
		// creazione dell'ordine
		Ordine o = new Ordine(numConfezioni);
		
		// stampa dell'ordine
		DecimalFormat df = new DecimalFormat("0.00");
		System.out.println("Le confezioni ordinate sono: " + o.getNumConfezioni()+ " -  " + df.format(o.importoTotale()));
		System.out.println("Lo sconto  pari al: " + o.getSconto() + "% -  " + df.format(o.importoSconto()));
		System.out.println("Il prezzo scontato : " + df.format(o.importoScontato()));
		
		tastiera.close();
	}

}
